Subject: Re: grow: WGLC for BGP MED Considerations (draft-ietf-grow-bgp-med-considerations-03.txt)

From: Pekka Savola <[email-masked]>
Date: Tue, 12 Apr 2005 10:32:59 +0300 (EEST)

On Wed, 30 Mar 2005, David Meyer wrote:
> 	Please review the document carefully, and send your
> 	feedback to the list.  Please also indicate whether or
> 	not you believe that this document is ready to go to the
> 	IESG. Note that this is a somewhat unusal case as the
> 	IESG requested this document.
>
> 	This Last Call will end on 13 Apr 2004 at 1400 PST
> 	(UTC/GMT-8).

I think it's getting better.  However, I didn't -- at least right out 
-- see a resolution to a couple of more significant issues raised 
about -02.  Copied below..

Two new editorial issues spotted:
- add a dummy IANA considerations section
- there are a couple of lines (in the boilerplate) that go beyond the 
limit of 72 chars/line

=== (from Danny's message on the list on September 2004) ====
> substantial
> -----------
>
>    If one transit provider uses hot potato routing and another uses cold
>    potato, traffic between the two tends to be more symmetric.
>    Depending on the business relationships, if one provider has more
>    capacity or a significantly less congested backbone network, then
>    that provider may use cold potato routing.  An example of widespread
>    use of cold potato routing was the NSF funded NSFNET backbone and NSF
>    funded regional networks in the mid 1990s.
>
> ==> this begs the question of "what about hot-potato - hot-potato or
> cold-potato -cold-potato".  It seems to be implicit that these are
> likely asymmetric, but that may not need to be the case, especially
> with the latter.  This should probably be spelled out.

I'll clean up the wording..

>    As a result of implementation inconsistencies and protocol revision
>    variances, many network operators today explicitly reset all MED
>    values on ingress to conform to their internal routing policies
>    (i.e., to include policy that requires that MED values of 0 and
>    2^32-1 NOT be used in configurations, whether the MEDs are directly
>    computed or configured), so as to not have to rely on all their
>    routers having the same missing-MED behavior.
>
> ==> I was slightly confused by this, esp. 'reset', and the text on MED
> values of 0 and 2^32-1.  The point just is that the network operators
> ensure to map a missing MED to MED=0 in ingress if they use MEDs at
> all (at least that's what we do -- I fail to see any reason to avoid
> MED=0, because it doesn't cause problems.  The missing MED does.).

And if they don't use MEDs, they does this implicitly by
setting all the MED values the same on ingress to the AS.
That was the point.  I'll look to clean it up.

[...]
> ==> Actually, I think you should re-read the doc with 'comparing MEDs
> and ASs' in mind.  It seems that in different sections
> (implementation/protocol vs deployment) there are different kinds of
> advice what seems to be the best thing to do.  These probably need a
> bit aligning or at least some applicability if the recommendations to
> different people are different.

The recommendations to different people aren't different, but I
do understand your point.  I'll see if there's any better way
to align.

[ editorials.. ]
>    Comparing MEDs between differing adjacent autonomous systems (which
>    will be discussed in later sections),
>
> ==> it was in the previous section..., and later in sect 3.1 ? --
> please put in a more explicit pointer.

I'll fix..
====================

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
_________________________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/grow.html
web archive:        http://darkwing.uoregon.edu/~llynch/grow/

---

From: David Meyer <[email-masked]>
Date: Tue, 12 Apr 2005 08:20:30 -0700

Pekka,

	Thanks for the close reading.

	Dave